Name:           python-cocotb-bus
Version:        0.2.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Pre-packaged testbenching tools and reusable bus interfaces for cocotb

# No license information obtained, it's up to the packager to fill it in
License:        BSD-3-Clause
URL:            https://github.com/cocotb/cocotb-bus
Source:         %{pypi_source cocotb-bus}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-wheel python3-packaging python3-pip python3-setuptools


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
cocotb-bus contains pre-packaged testbenching tools and reusable bus interfaces for cocotb.}

%description %_description

%package -n     python3-cocotb-bus
Summary:        %{summary}

%description -n python3-cocotb-bus %_description


%prep
%autosetup -p1 -n cocotb-bus-%{version}



%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs


%files -n python3-cocotb-bus
%{python3_sitelib}/cocotb_bus*

%changelog
%autochangelog
